/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: oct_ws_priv.c

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description:	Wireshark private data

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: 4 $


\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
#ifndef __OCT_WS_PRIV_H__
#define __OCT_WS_PRIV_H__

/*****************************  INCLUDE FILES  *******************************/

/*****************************  DEFINES **************************************/
typedef struct
{
	guint16	total_packet_size;
	guint16	pktHdt_size;
	guint8	api_type;
	guint8	format;			/* PktFormat */
	guint8	trace_flag;
	guint16	padding;

}tOctWsPrivateData;

#endif /* __OCT_WS_PRIV_H__ */
