/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: moduleinfo.h

$Octasic_Copyright: $

Description: Included *after* config.h, in order to re-define these macros

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

$Octasic_Release: $

$Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#include "../../include/oct_ws_version.h"

#ifdef PACKAGE
#undef PACKAGE
#endif

/* Name of package */
#define PACKAGE "octpkt"


#ifdef VERSION
#undef VERSION
#endif

#ifndef MODULE_VERSION
#define MODULE_VERSION 0_0_1_DEV
#endif

#define _QUOTEME(x) #x
#define QUOTEME(x) _QUOTEME(x)

/* Version number of package */
/* WAS : #if !defined( TGT_VERSION ) || (TGT_VERSION == 0) but TGT_VERSION may be a string ... can't compare */
#if defined( NO_TGT_VERSION )
#define VERSION QUOTEME(MODULE_VERSION)
#else
#define VERSION QUOTEME(MODULE_VERSION-TGT_VERSION)
#endif

