/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvocnet_common.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contain the wireshark module dissector related functions

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

/*****************************  INCLUDE FILES  *******************************/
#ifndef _OCTVOCNET_COMMON_H__
#define _OCTVOCNET_COMMON_H__

#include <epan/packet.h>

/****************************************************************************
	COMMON API ENUMERATION STRING VALUES
 ****************************************************************************/
extern const value_string  vals_tOCTVOCNET_PKT_CONTROL_PROTOCOL_TYPE_ENUM[];
extern const value_string  vals_tOCTVOCNET_PKT_D_TYPE_ENUM[];

#endif /* _OCTVOCNET_COMMON_H__ */

