/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_CPP_DEFAULT.h

$Octasic_Copyright: $

Description: Contains the event definition of the CPP API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_CPP_DEFAULT_H__
#define __OCTVC1_CPP_DEFAULT_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_cpp_api.h"

/*****************************  COMMAND DEFAULT *****************************/

/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD buf_tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* ulResetStatsFlag */
};

const tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD buf_tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_STATS_ETH_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* ulEthPort */
};

const tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_STATS_ETH_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD buf_tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD buf_tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_FORWARD_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   },
   { /* SrcMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD =
    &buf_tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_FORWARD_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_OPEN_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD buf_tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_FORWARD_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hForward */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   }
};

const tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD =
    &buf_tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_FORWARD_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_FORWARD_STATS_CMD buf_tOCTVC1_CPP_MSG_FORWARD_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_FORWARD_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_FORWARD_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   },
   0  /* ulResetStatsFlag */
};

const tOCTVC1_CPP_MSG_FORWARD_STATS_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_STATS_CMD =
    &buf_tOCTVC1_CPP_MSG_FORWARD_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_FORWARD_STATS_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_FORWARD_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_STATS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_FORWARD_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_FORWARD_INFO_CMD buf_tOCTVC1_CPP_MSG_FORWARD_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_FORWARD_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_FORWARD_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   },
   cOCTVC1_CPP_DEST_INFO_ENUM_OBJ_FIRST, /* ulGetType */
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_CPP_MSG_FORWARD_INFO_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_INFO_CMD =
    &buf_tOCTVC1_CPP_MSG_FORWARD_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_FORWARD_INFO_CMD *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_FORWARD_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_FORWARD_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD buf_tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_ADD_DEST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hCppObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulCppObjPort */
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   },
   { /* SrcMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   },
   { /* BridgeMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_ADD_DEST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD buf_tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_CPP_DEST_REMOVE_MODE_ENUM_SPECIFIC, /* ulRemoveMode */
   { /* hCppObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulCppObjPort */
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD buf_tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_CPP_MSG_MODULE_INFO_DEST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_CPP_DEST_INFO_ENUM_OBJ_FIRST, /* ulGetType */
   { /* hCppObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulCppObjPort */
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD =
    &buf_tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_CPP_MSG_MODULE_INFO_DEST_CMD; \
    }


#endif /* __OCTVC1_CPP_DEFAULT_H__ */

