/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_main_evt_swap.h	

Copyright (c) 2014 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.	

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_MAIN_EVT_SWAP_H__
#define __OCTVC1_MAIN_EVT_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_main_evt.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT * pOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT *)pOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT *)pOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT)->BufferId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT *)pOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT)->BufferId); \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT_SWAP( pOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT * pOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT *)pOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT_SWAP( pOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT * pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT *)pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT *)pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)->ulCoreUseMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT *)pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)->ulCoreUseMask); \
	((tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT *)pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)->ulCoreHaltMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT *)pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)->ulCoreHaltMask); \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT_SWAP( pOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT * pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT *)pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT *)pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT *)pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)->ulBank); \
	((tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT *)pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)->ulPortValue = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT *)pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)->ulPortValue); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT_SWAP( pOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT * pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT *)pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT *)pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT *)pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)->ulPhyAddress); \
	((tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT *)pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)->ulEvents = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT *)pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)->ulEvents); \
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT_SWAP( pOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT * pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->hProcess); \
	((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulProcessImageType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulProcessImageType); \
	((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulProcessCpuUsagePercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulProcessCpuUsagePercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulNumThread = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT *)pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)->ulNumThread); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT_SWAP( pOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->hMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->ulDurationMs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->ulDurationMs); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->FailoverStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->FailoverStatus); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->ulFailoverReturnCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)->ulFailoverReturnCode); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_MAIN_EVT_SWAP_H__ */
