/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_NET_VERSION.h

$Octasic_Copyright: $

Description: Contains the version of the NET API interface.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_NET_VERSION_H__
#define __OCTVC1_NET_VERSION_H__


/* The version ID is separated into the following sections:

      bit[31:25]:    Major version
      bit[24:18]:    Minor version
      bit[17:11]:    Bug fix version
      bit[10:0]:     Build number
*/
#define cOCTVC1_NET_VERSION_MAJOR               1
#define cOCTVC1_NET_VERSION_MINOR               0
#define cOCTVC1_NET_VERSION_MAINTENANCE         0
#define cOCTVC1_NET_VERSION_BUILD               0

#define cOCTVC1_NET_VERSION_ID                  ( (cOCTVC1_NET_VERSION_MAJOR << 25) + \
                                                  (cOCTVC1_NET_VERSION_MINOR << 18) + \
                                                  (cOCTVC1_NET_VERSION_MAINTENANCE << 11) + \
                                                  cOCTVC1_NET_VERSION_BUILD )

#endif /* __OCTVC1_NET_VERSION_H__ */

