/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: plugin.c

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif


#include <gmodule.h>

#include "../include/plugin_info.h"

#ifndef ENABLE_STATIC

#if defined(VERSION_MAJOR) && (VERSION_MAJOR > 1 || (VERSION_MAJOR == 1 && VERSION_MINOR > 8))
#define WS_BUILD_DLL
#include "ws_symbol_export.h"
#define WS_EXPORT WS_DLL_PUBLIC_NOEXTERN
#else
#define WS_EXPORT G_MODULE_EXPORT	
#endif

WS_EXPORT const gchar version[] = VERSION;

/* Start the functions we need for the plugin stuff */
WS_EXPORT void
plugin_register (void)
{
  {extern void proto_register_octvc1(void); proto_register_octvc1();}
}

WS_EXPORT void
plugin_reg_handoff(void)
{
  {extern void proto_reg_handoff_octvc1(void); proto_reg_handoff_octvc1();}
}
#endif
