/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_CPP_ID.h

$Octasic_Copyright: $

Description: Contains the identifiers for the CPP API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_CPP_ID_H__
#define __OCTVC1_CPP_ID_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"
#include "../octvc1_generic_rc.h"

/****************************************************************************
	Command IDs
 ****************************************************************************/
#define cOCTVC1_CPP_MSG_MODULE_STATS_GLOBAL_CID         ( 0x001 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_MODULE_STATS_ETH_CID            ( 0x003 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_MODULE_GET_CONFIG_CID           ( 0x004 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_FORWARD_OPEN_CID                ( 0x023 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_FORWARD_CLOSE_CID               ( 0x024 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_FORWARD_STATS_CID               ( 0x025 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_FORWARD_INFO_CID                ( 0x026 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_MODULE_ADD_DEST_CID             ( 0x030 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_MODULE_REMOVE_DEST_CID          ( 0x031 + cOCTVC1_CPP_CID_BASE )
#define cOCTVC1_CPP_MSG_MODULE_INFO_DEST_CID            ( 0x032 + cOCTVC1_CPP_CID_BASE )

#define cOCTVC1_CPP_CID_MAX                             (( 0x032 + 1 ) & 0xFFF)


#endif /* __OCTVC1_CPP_ID_H__ */

