/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_gsm_evt_swap.h	

Copyright (c) 2014 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.	

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_GSM_EVT_SWAP_H__
#define __OCTVC1_GSM_EVT_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_gsm_evt.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT * pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT)->usFrameNumberMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT)->usFrameNumberMSW);  \
	((tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT)->usFrameNumberLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT)->usFrameNumberLSW);  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT * pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usFrameNumberMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usFrameNumberMSW);  \
	((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usFrameNumberLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usFrameNumberLSW);  \
	{ mOCTVC1_GSM_tMEASUREMENT_INFO_SWAP( &((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->tMeasurementInfo ); }  \
	((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usDataFrameLength = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->usDataFrameLength);  \
	{ tOCT_UINT32 iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT; \
	for( iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT=0; \
		iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT<(cOCTVC1_GSM_cSDR_DATA_IND_MAX_DATA_SIZE_WORDS);iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT++ ) \
	((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->ausDataFrameContents[iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT] = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT)->ausDataFrameContents[iOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT]);} \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT * pOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT *)pOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT * pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT)->usFrameNumberMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT)->usFrameNumberMSW);  \
	((tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT)->usFrameNumberLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT)->usFrameNumberLSW);  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT * pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usFrameNumberMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usFrameNumberMSW);  \
	((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usFrameNumberLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usFrameNumberLSW);  \
	{ mOCTVC1_GSM_tMEASUREMENT_INFO_SWAP( &((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->tMeasurementInfo ); }  \
	((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usMessageLength = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->usMessageLength);  \
	{ tOCT_UINT32 iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT; \
	for( iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT=0; \
		iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT<(cOCTVC1_GSM_cSDR_RACH_IND_MAX_MESSAGE_LENGTH_WORDS);iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT++ ) \
	((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->ausMessageContents[iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT] = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT *)pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT)->ausMessageContents[iOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT]);} \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_ERROR_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_ERROR_EVT * pOCTVC1_GSM_MSG_MODULE_ERROR_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_ERROR_EVT *)pOCTVC1_GSM_MSG_MODULE_ERROR_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_ERROR_EVT *)pOCTVC1_GSM_MSG_MODULE_ERROR_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_MODULE_ERROR_EVT *)pOCTVC1_GSM_MSG_MODULE_ERROR_EVT)->ulErrorCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_ERROR_EVT *)pOCTVC1_GSM_MSG_MODULE_ERROR_EVT)->ulErrorCode); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_ERROR_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_ERROR_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT * pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->ulMessageCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->ulMessageCode); \
	((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->ulSeverityLevel = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT *)pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT)->ulSeverityLevel); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_MESSAGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT * pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulCoreId); \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulFrameIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulFrameIndex); \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulSlotIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulSlotIndex); \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulCheckPointType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulCheckPointType); \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulProcessUnitType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulProcessUnitType); \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulState = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->ulState); \
	{ tOCT_UINT32 iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT; \
	for( iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT=0; \
		iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT<(cOCTVC1_GSM_NB_RESERVED);iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT++ ) \
	((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->aulReserved[iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT)->aulReserved[iOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT]);}\
}
#else
#define mOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_TRACING_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_TRACING_EVT * pOCTVC1_GSM_MSG_MODULE_TRACING_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulCoreId); \
	((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulTraceType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulTraceType); \
	((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulLastTracePacket = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulLastTracePacket); \
	((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulTraceIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulTraceIndex); \
	((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulPayloadSizeBytes = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_TRACING_EVT *)pOCTVC1_GSM_MSG_MODULE_TRACING_EVT)->ulPayloadSizeBytes); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_TRACING_EVT_SWAP( pOCTVC1_GSM_MSG_MODULE_TRACING_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT * pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT)->ulErrorCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT)->ulErrorCode); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT * pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->ulMessageCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->ulMessageCode); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->ulSeverityLevel = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT)->ulSeverityLevel); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT * pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulCoreId); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulFrameIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulFrameIndex); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulSlotIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulSlotIndex); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulCheckPointType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulCheckPointType); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulProcessUnitType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulProcessUnitType); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulState = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->ulState); \
	{ tOCT_UINT32 iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT; \
	for( iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT=0; \
		iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT<(cOCTVC1_GSM_NB_RESERVED);iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT++ ) \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->aulReserved[iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT)->aulReserved[iOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT]);}\
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT * pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulCoreId); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulTraceType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulTraceType); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulPayloadSizeBytes = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT *)pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT)->ulPayloadSizeBytes); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT * pOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT *)pOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT *)pOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT *)pOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT_SWAP( pOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_GSM_EVT_SWAP_H__ */
