/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_net_evt_swap.h	

$Octasic_Copyright: $	

Description:	

$Octasic_Confidentiality: $	

$Octasic_Release: $	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_NET_EVT_SWAP_H__
#define __OCTVC1_NET_EVT_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_net_evt.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulPktType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulPktType); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulPktByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)->ulPktByteLength); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->ulCnameLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)->ulCnameLength); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulLocalFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulLocalFlag); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulPreviousSsrc = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulPreviousSsrc); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulNewSsrc = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)->ulNewSsrc); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulLocalFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulLocalFlag); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulRoundTripTime = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulRoundTripTime); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulMaxRoundTripTime = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulMaxRoundTripTime); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulAverageRoundTripTime = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->ulAverageRoundTripTime); \
	{ mOCTVC1_NET_RTCP_RECEIVER_STATS_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)->StatsReceiver ); }  \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulLocalFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulLocalFlag); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulPreviousSenderState = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulPreviousSenderState); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulNewSenderState = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)->ulNewSenderState); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->ulRemoteAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->ulRemoteAddress); \
	{ mOCTVC1_UDP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)->RemoteUdpAddress ); }  \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulSrtpStreamType); \
	{ mOCTVC1_NET_SRTP_KEY_ENTRY_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ActiveSrtpKey ); }  \
	{ tOCT_UINT32 iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT; \
	for( iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT=0; \
		iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT<(2);iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT++ ) \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->aulSrtpPacketCnt[iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->aulSrtpPacketCnt[iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT]);}\
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulSrtcpPacketCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)->ulSrtcpPacketCnt); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulSrtpStreamType); \
	{ mOCTVC1_NET_SRTP_KEY_ENTRY_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ActiveSrtpKey ); }  \
	{ tOCT_UINT32 iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT; \
	for( iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT=0; \
		iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT<(2);iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT++ ) \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->aulSrtpPacketCnt[iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->aulSrtpPacketCnt[iOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT]);}\
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulSrtcpPacketCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)->ulSrtcpPacketCnt); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulSrtpStreamType); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulKeyChangeReason = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ulKeyChangeReason); \
	{ mOCTVC1_NET_SRTP_KEY_ENTRY_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->ActiveSrtpKey ); }  \
	{ mOCTVC1_NET_SRTP_KEY_ENTRY_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)->PreviousSrtpKey ); }  \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)->ulSrtpStreamType); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)->ulSrtpStreamType); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulSrtpStreamType); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulUnknownMkiByteSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)->ulUnknownMkiByteSize); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT * pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->hRtpSession ); }  \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulMemberId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulMemberId); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulSrtpStreamType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulSrtpStreamType); \
	((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulSsrc = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT *)pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)->ulSsrc); \
}
#else
#define mOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT_SWAP( pOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT * pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->hLocalHost ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->RemoteIpAddr ); }  \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulAlarmType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulAlarmType); \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulAlarmCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulAlarmCode); \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulPktHeaderByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)->ulPktHeaderByteLength); \
}
#else
#define mOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT_SWAP( pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT * pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->hLocalHost ); }  \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->ulRedirectCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->ulRedirectCode); \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->NewGatewayIpAddress ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->PrevGatewayIpAddress ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)->DestinationIpAddress ); }  \
}
#else
#define mOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT_SWAP( pOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT * pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->hLink ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->hLocalHost ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->IpAddress ); }  \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulAddrAutoConfigFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulAddrAutoConfigFlag); \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulPreviousAddrStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulPreviousAddrStatus); \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulNewAddrStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulNewAddrStatus); \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulStatusChangeCause = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)->ulStatusChangeCause); \
}
#else
#define mOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT_SWAP( pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT * pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)->hLocalHost ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)->IpAddress ); }  \
	((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)->ulDuplicateSource = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT *)pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)->ulDuplicateSource); \
}
#else
#define mOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT_SWAP( pOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT_SWAP( _f_pParms ){ 	tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT * pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT = (_f_pParms); \
	{ mOCTVC1_EVENT_HEADER_SWAP( &((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->hEthLink ); }  \
	{ mOCTVC1_IP_ADDRESS_SWAP( &((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->IpAddress ); }  \
	((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->ulPreviousStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->ulPreviousStatus); \
	((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->ulNewStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT *)pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)->ulNewStatus); \
}
#else
#define mOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT_SWAP( pOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_NET_EVT_SWAP_H__ */
